summaryrefslogtreecommitdiffstats
path: root/games
diff options
context:
space:
mode:
Diffstat (limited to 'games')
-rw-r--r--games/pingus/README4
-rw-r--r--games/pingus/doinst.sh3
-rw-r--r--games/pingus/pingus.SlackBuild85
-rw-r--r--games/pingus/pingus.desktop10
-rw-r--r--games/pingus/pingus.info8
-rw-r--r--games/pingus/pingus.pngbin0 -> 887 bytes
-rw-r--r--games/pingus/slack-desc12
7 files changed, 122 insertions, 0 deletions
diff --git a/games/pingus/README b/games/pingus/README
new file mode 100644
index 0000000000..492c2fe359
--- /dev/null
+++ b/games/pingus/README
@@ -0,0 +1,4 @@
+Pingus is a free Lemmings(tm) clone for GNU/Linux,
+Win32 and other operating systems supported by SDL.
+
+This requires boost, scons, and physfs.
diff --git a/games/pingus/doinst.sh b/games/pingus/doinst.sh
new file mode 100644
index 0000000000..98d466d8b9
--- /dev/null
+++ b/games/pingus/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x usr/bin/update-desktop-database ]; then
+ ./usr/bin/update-desktop-database ./usr/share/applications >/dev/null 2>&1
+fi
diff --git a/games/pingus/pingus.SlackBuild b/games/pingus/pingus.SlackBuild
new file mode 100644
index 0000000000..cfec20b76e
--- /dev/null
+++ b/games/pingus/pingus.SlackBuild
@@ -0,0 +1,85 @@
+#!/bin/sh
+
+# Slackware build script for pingus
+# Written by ppr:kut <hmwiesinger@gmx.at>
+
+# Copyright 2007 Heinz Wiesinger
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=pingus
+VERSION=0.7.2
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+scons \
+ CCFLAGS="$SLKCFLAGS" \
+ CPPFLAGS="$SLKCFLAGS" \
+
+./install.sh $PKG/usr
+
+mkdir -p $PKG/usr/share/{applications,pixmaps} $PKG/usr/man/man6
+install -p -m 0644 doc/pingus.6 $PKG/usr/man/man6/
+install -m 0644 $CWD/$PRGNAM.png $PKG/usr/share/pixmaps/$PRGNAM.png
+install -m 0644 $CWD/$PRGNAM.desktop $PKG/usr/share/applications/
+
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS ChangeLog COPYING INSTALL.unix NEWS README TODO \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/games/pingus/pingus.desktop b/games/pingus/pingus.desktop
new file mode 100644
index 0000000000..918f7c23ae
--- /dev/null
+++ b/games/pingus/pingus.desktop
@@ -0,0 +1,10 @@
+[Desktop Entry]
+Encoding=UTF-8
+Name=Pingus
+Comment=Guide the penguins safely home before they drop of the cliff
+Exec=pingus -f
+Icon=pingus.png
+Terminal=false
+StartupNotify=false
+Type=Application
+Categories=Game;LogicGame;
diff --git a/games/pingus/pingus.info b/games/pingus/pingus.info
new file mode 100644
index 0000000000..1058dbda59
--- /dev/null
+++ b/games/pingus/pingus.info
@@ -0,0 +1,8 @@
+PRGNAM="pingus"
+VERSION="0.7.2"
+HOMEPAGE="http://pingus.seul.org"
+DOWNLOAD="http://pingus.seul.org/files/pingus-0.7.2.tar.bz2"
+MD5SUM="88756802d483f922d0910a14cd26a951"
+MAINTAINER="ppr:kut"
+EMAIL="HMWiesinger@gmx.at"
+APPROVED="rworkman"
diff --git a/games/pingus/pingus.png b/games/pingus/pingus.png
new file mode 100644
index 0000000000..4dbcefab96
--- /dev/null
+++ b/games/pingus/pingus.png
Binary files differ
diff --git a/games/pingus/slack-desc b/games/pingus/slack-desc
new file mode 100644
index 0000000000..72181e5f6c
--- /dev/null
+++ b/games/pingus/slack-desc
@@ -0,0 +1,12 @@
+ |-----handy-ruler------------------------------------------------------|
+pingus: pingus - A free Lemmings(tm) clone
+pingus:
+pingus: Pingus is a free Lemmings(tm) clone for GNU/Linux,
+pingus: Win32 and other operating systems supported by SDL.
+pingus:
+pingus: Homepage: http://pingus.seul.org
+pingus:
+pingus:
+pingus:
+pingus:
+pingus: